Skip to main content
`Ctrl`+`K`

# DMDAVTKWriteAll

Write a file containing all the fields that have been provided to the viewer

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAVTKWriteAll(PetscObject odm, PetscViewer viewer)

Collective

## Input Parameters

- odm - `DMDA` specifying the grid layout, passed as a `PetscObject`

- viewer - viewer of type `PETSCVIEWERVTK`

## Notes

This function is a callback used by the `PETSCVIEWERVTK` viewer to actually write the file. The reason for this odd model is that the VTK file format does not provide any way to write one field at a time. Instead, metadata for the entire file needs to be available up-front before you can start writing the file.

If any fields have been named (see e.g. `DMDASetFieldName()`), then individual scalar fields are written. Otherwise, a single multi-dof (vector) field is written.

## See Also

DMDA - Creating vectors for structured grids, `DMDA`, `DM`, `PETSCVIEWERVTK`, `DMDASetFieldName()`

## Level

developer

## Location

src/dm/impls/da/grvtk.c

## Implementations

DMDAVTKWriteAll_VTS() in src/dm/impls/da/grvtk.c
DMDAVTKWriteAll_VTR() in src/dm/impls/da/grvtk.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages